## texlive-lang 2021.20210921

=== debian/changelog ===
texlive-lang (2021.20210921-1) unstable; urgency=medium

  * TeX Live 2021

 -- Norbert Preining <norbert@preining.info>  Tue, 21 Sep 2021 11:32:47 +0900

=== debian/control ===
Source: texlive-lang
Section: tex
Priority: optional
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>, Hilmar Preusse <hille42@web.de>
Build-Depends: debhelper-compat (= 13), dh-strip-nondeterminism
Build-Depends-Indep: sharutils, tex-common (>= 6.14), findutils (>=4.2.0)
Standards-Version: 4.5.1
Homepage: http://www.tug.org/texlive/
Vcs-Git: https://github.com/debian-tex/texlive-nonbin.git
Vcs-Browser: https://github.com/debian-tex/texlive-nonbin

Package: texlive-lang-arabic
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2021.20210628), texlive-base (>= 2021.20210921), texlive-plain-generic (>= 2021.20210921)
Replaces: texlive-xetex (<< 2020.20200519)
Breaks: texlive-base (<< 2021.20210628), texlive-xetex (<< 2020.20200519)
Description: TeX Live: Arabic
 Support for Arabic and Persian.
 .
 This package includes the following CTAN packages:
 .
 alkalami -- A font for Arabic-based writing systems in Nigeria and Niger
 .
 alpha-persian -- Persian version of alpha.bst
 .
 amiri -- A classical Arabic typeface, Naskh style
 .
 arabi -- (La)TeX support for Arabic and Farsi, compliant with Babel
 .
 arabi-add -- Using hyperref and bookmark packages with arabic and farsi
 languages
 .
 arabic-book -- An Arabic book class
 .
 arabluatex -- ArabTeX for LuaLaTeX
 .
 arabtex -- Macros and fonts for typesetting Arabic
 .
 bidi -- Bidirectional typesetting in plain TeX and LaTeX, using XeTeX
 .
 bidihl -- Experimental bidi-aware text highlighting
 .
 dad -- Simple typesetting system for mixed Arabic/Latin documents
 .
 ghab -- Typeset ghab boxes in LaTeX
 .
 hvarabic -- Macros for RTL typesetting
 .
 hyphen-arabic -- (No) Arabic hyphenation patterns.
 .
 hyphen-farsi -- (No) Persian hyphenation patterns.
 .
 imsproc -- Typeset IMS conference proceedings
 .
 kurdishlipsum -- A 'lipsum' package for the Kurdish language
 .
 lshort-persian -- Persian (Farsi) introduction to LaTeX
 .
 luabidi -- Bidi functions for LuaTeX
 .
 na-box -- Arabic-aware version of pas-cours package
 .
 persian-bib -- Persian translations of classic BibTeX styles
 .
 quran -- An easy way to typeset any part of The Holy Quran
 .
 sexam -- Package for typesetting arabic exam scripts
 .
 simurgh -- Typeset Parsi in LuaLaTeX
 .
 texnegar -- Kashida justification in XeLaTeX and LuaLaTeX
 .
 tram -- Typeset tram boxes in LaTeX
 .
 xepersian -- Persian for LaTeX, using XeTeX
 .
 xepersian-hm -- Fixes kashida feature in xepersian package
 .
 xindy-persian -- Support for the Persian language in xindy

Package: texlive-lang-cjk
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, poppler-data, texlive-base (>= 2021.20210628), texlive-base (>= 2021.20210921), texlive-binaries (>= 2021.20210626), texlive-latex-base (>= 2021.20210921)
Recommends: latex-cjk-all (>= 4.6.0+cvs20060714-2), ruby, texlive-lang-chinese, texlive-lang-japanese, texlive-lang-korean
Breaks: texlive-base (<< 2021.20210628)
Description: TeX Live: Chinese/Japanese/Korean (base)
 Packages supporting a combination of Chinese, Japanese, Korean, including 
 macros, fonts, documentation. Also Thai in the c90 encoding, since there is 
 some overlap in those fonts; standard Thai support is in 
 collection-langother. Additional packages for CJK are in their individual 
 language collections.
 .
 This package includes the following CTAN packages:
 .
 c90 -- c90 font encoding for Thai
 .
 cjk-gs-integrate -- Tools to integrate CJK fonts into Ghostscript
 .
 cjkpunct -- Adjust locations and kerning of CJK punctuation marks
 .
 fixjfm -- Fix JFM (for *pTeX)
 .
 garuda-c90 -- TeX support (from CJK) for the garuda font
 .
 jfmutil -- Utility to process pTeX-extended TFM and VF
 .
 norasi-c90 -- TeX support (from CJK) for the norasi font
 .
 pxtatescale -- Patch to graphics driver for scaling in vertical direction of
 pTeX
 .
 xcjk2uni -- Convert CJK characters to Unicode, in pdfTeX
 .
 zxjafont -- Set up Japanese font families for XeLaTeX

Package: texlive-lang-korean
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-baekmuk, fonts-unfonts-core, fonts-unfonts-extra, texlive-base (>= 2021.20210628), texlive-binaries (>= 2021.20210626), texlive-lang-cjk (>= 2021.20210921)
Conflicts: ko.tex-bin
Provides: ko.tex
Breaks: texlive-base (<< 2021.20210628)
Description: TeX Live: Korean
 Support for Korean; additional packages in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 baekmuk -- Baekmuk Korean TrueType fonts
 .
 cjk-ko -- Extension of the CJK package for Korean typesetting
 .
 kotex-oblivoir -- A LaTeX document class for typesetting Korean documents
 .
 kotex-plain -- Macros for typesetting Korean under Plain TeX
 .
 kotex-utf -- Typeset Hangul, coded in UTF-8
 .
 kotex-utils -- Utility scripts and support files for typesetting Korean
 .
 lshort-korean -- Korean introduction to LaTeX
 .
 nanumtype1 -- Type1 subfonts of Nanum Korean fonts
 .
 pmhanguljamo -- Poor man's Hangul Jamo input method
 .
 uhc -- Fonts for the Korean language
 .
 unfonts-core -- TrueType version of Un-fonts
 .
 unfonts-extra -- TrueType version of Un-fonts

Package: texlive-lang-chinese
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-arphic-bkai00mp, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-arphic-gkai00mp, texlive-base (>= 2021.20210628), texlive-lang-cjk (>= 2021.20210921)
Breaks: texlive-base (<< 2021.20210628)
Description: TeX Live: Chinese
 Support for Chinese; additional packages in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 arphic-ttf -- TrueType version of Chinese Arphic fonts
 .
 asymptote-by-example-zh-cn -- Asymptote by example
 .
 asymptote-faq-zh-cn -- Asymptote FAQ (Chinese translation)
 .
 asymptote-manual-zh-cn -- A Chinese translation of the asymptote manual
 .
 cns -- Chinese/Japanese/Korean bitmap fonts
 .
 ctex -- LaTeX classes and packages for Chinese typesetting
 .
 ctex-faq -- LaTeX FAQ by the Chinese TeX Society (ctex.org)
 .
 fandol -- Four basic fonts for Chinese typesetting
 .
 fduthesis -- LaTeX thesis template for Fudan University
 .
 hyphen-chinese -- Chinese pinyin hyphenation patterns.
 .
 impatient-cn -- Free edition of the book "TeX for the Impatient"
 .
 install-latex-guide-zh-cn -- A short introduction to LaTeX installation
 written in Chinese
 .
 latex-notes-zh-cn -- Chinese Introduction to TeX and LaTeX
 .
 lshort-chinese -- Introduction to LaTeX, in Chinese
 .
 nanicolle -- Typesetting herbarium specimen labels
 .
 njurepo -- Reports for Nanjing University
 .
 pgfornament-han -- pgfornament library for Chinese traditional motifs and
 patterns
 .
 qyxf-book -- Book Template for Qian Yuan Xue Fu
 .
 texlive-zh-cn -- TeX Live manual (Chinese)
 .
 texproposal -- A proposal prototype for LaTeX promotion in Chinese
 universities
 .
 tlmgr-intro-zh-cn -- A short tutorial on using tlmgr in Chinese
 .
 upzhkinsoku -- Supplementary Chinese kinsoku for Unicode *pTeX
 .
 xpinyin -- Automatically add pinyin to Chinese characters
 .
 xtuthesis -- XTU thesis template
 .
 zhlineskip -- Line spacing for CJK documents
 .
 zhlipsum -- Chinese dummy text
 .
 zhmetrics -- TFM subfont files for using Chinese fonts in 8-bit TeX
 .
 zhmetrics-uptex -- Chinese font metrics for upTeX
 .
 zhnumber -- Typeset Chinese representations of numbers
 .
 zhspacing -- Spacing for mixed CJK-English documents in XeTeX

Package: texlive-lang-japanese
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-ipaexfont-gothic, fonts-ipaexfont-mincho, fonts-ipafont-gothic, fonts-ipafont-mincho, ruby, texlive-base (>= 2021.20210628), texlive-binaries (>= 2021.20210626), texlive-lang-cjk (>= 2021.20210921)
Conflicts: ptex-jisfonts
Provides: okumura-clsfiles, ptex-jisfonts, vfdata-morisawa5
Replaces: mendexk
Breaks: texlive-base (<< 2021.20210628)
Description: TeX Live: Japanese
 Support for Japanese; additional packages are in collection-langcjk.
 .
 This package includes the following CTAN packages:
 .
 ascmac -- Boxes and picture macros with Japanese vertical writing support
 .
 babel-japanese -- Babel support for Japanese
 .
 bxbase -- BX bundle base components
 .
 bxcjkjatype -- Typeset Japanese with pdfLaTeX and CJK
 .
 bxghost -- Ghost insertion for proper xkanjiskip
 .
 bxjaholiday -- Support for Japanese holidays
 .
 bxjalipsum -- Dummy text in Japanese
 .
 bxjaprnind -- Adjust the position of parentheses at paragraph head
 .
 bxjatoucs -- Convert Japanese character code to Unicode
 .
 bxjscls -- Japanese document class collection for all major engines
 .
 bxorigcapt -- To retain the original caption names when using Babel
 .
 bxwareki -- Convert dates from Gregorian to Japanese calender
 .
 convbkmk -- Correct platex/uplatex bookmarks in PDF created with hyperref
 .
 endnotesj -- Japanese-style endnotes
 .
 gckanbun -- Kanbun typesetting for (u)pLaTeX and LuaLaTeX
 .
 gentombow -- Generate Japanese-style crop marks
 .
 haranoaji -- Harano Aji Fonts
 .
 haranoaji-extra -- Harano Aji Fonts
 .
 ifptex -- Check if the engine is pTeX or one of its derivatives
 .
 ifxptex -- Detect pTeX and its derivatives
 .
 ipaex -- IPA (Japanese) fonts
 .
 japanese-otf -- Advanced font selection for platex and its friends
 .
 japanese-otf-uptex -- Support for Japanese OTF files in upLaTeX
 .
 jlreq -- Japanese document class based on requirements for Japanese text
 layout
 .
 jlreq-deluxe -- Multi-weight Japanese font support for the jlreq class
 .
 jsclasses -- Classes tailored for use with Japanese
 .
 lshort-japanese -- Japanese version of A Short Introduction to LaTeX2e
 .
 luatexja -- Typeset Japanese with Lua(La)TeX
 .
 mendex-doc -- Documentation for Mendex index processor
 .
 morisawa -- Enables selection of 5 standard Japanese fonts for pLaTeX +
 dvips
 .
 pbibtex-base -- Bibliography styles and miscellaneous files for pBibTeX
 .
 platex -- pLaTeX2e and miscellaneous macros for pTeX
 .
 platex-tools -- pLaTeX standard tools bundle
 .
 platexcheat -- A LaTeX cheat sheet, in Japanese
 .
 plautopatch -- Automated patches for pLaTeX/upLaTeX
 .
 ptex -- A TeX system for publishing in Japanese
 .
 ptex-base -- Plain TeX format for pTeX and e-pTeX
 .
 ptex-fontmaps -- Font maps and configuration tools for
 Japanese/Chinese/Korean fonts with (u)ptex
 .
 ptex-fonts -- Fonts for use with pTeX
 .
 ptex-manual -- Japanese pTeX manual
 .
 ptex2pdf -- Convert Japanese TeX documents to PDF
 .
 pxbase -- Tools for use with (u)pLaTeX
 .
 pxchfon -- Japanese font setup for pLaTeX and upLaTeX
 .
 pxcjkcat -- LaTeX interface for the CJK category codes of upTeX
 .
 pxjahyper -- Hyperref support for pLaTeX
 .
 pxjodel -- Help change metrics of fonts from japanese-otf
 .
 pxrubrica -- Ruby annotations according to JIS X 4051
 .
 pxufont -- Emulate non-Unicode Japanese fonts using Unicode fonts
 .
 texlive-ja -- TeX Live manual (Japanese)
 .
 uplatex -- pLaTeX2e and miscellaneous macros for upTeX
 .
 uptex -- Unicode version of pTeX
 .
 uptex-base -- Plain TeX formats and documents for upTeX
 .
 uptex-fonts -- Fonts for use with upTeX
 .
 zxjafbfont -- Fallback CJK font support for xeCJK
 .
 zxjatype -- Standard conforming typesetting of Japanese, for XeLaTeX

Package: texlive-lang-cyrillic
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2021.20210628), texlive-base (>= 2021.20210921), texlive-binaries (>= 2021.20210626), texlive-latex-base (>= 2021.20210921)
Replaces: texlive-base (<< 2019.20190506)
Breaks: texlive-base (<< 2019.20190506), texlive-base (<< 2021.20210628)
Description: TeX Live: Cyrillic
 Support for Cyrillic scripts (Bulgarian, Russian, Serbian, Ukrainian), even 
 if Latin alphabets may also be used.
 .
 This package includes the following CTAN packages:
 .
 babel-belarusian -- Babel support for Belarusian
 .
 babel-bulgarian -- Babel contributed support for Bulgarian
 .

## texlive-lang 2021.20211127

=== debian/changelog ===
texlive-lang (2021.20211127-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Hilmar Preusse <hille42@web.de>  Sat, 27 Nov 2021 22:18:58 +0100

## texlive-lang 2021.20211217

=== debian/changelog ===
texlive-lang (2021.20211217-1) unstable; urgency=high

  * New upstream snapshot.

 -- Hilmar Preusse <hille42@web.de>  Sat, 18 Dec 2021 00:17:52 +0100

=== debian/control ===
--- 
+++ 
@@ -114,6 +114,8 @@
  .
  xcjk2uni -- Convert CJK characters to Unicode, in pdfTeX
  .
+ zitie -- Create CJK character calligraphy practicing sheets
+ .
  zxjafont -- Set up Japanese font families for XeLaTeX
 
 Package: texlive-lang-korean
@@ -179,6 +181,8 @@
  fandol -- Four basic fonts for Chinese typesetting
  .
  fduthesis -- LaTeX thesis template for Fudan University
+ .
+ hanzibox -- Boxed Chinese characters with Pinyin above and translation below
  .
  hyphen-chinese -- Chinese pinyin hyphenation patterns.
  .
@@ -363,7 +367,3 @@
  .
  This package includes the following CTAN packages:
  .
- babel-belarusian -- Babel support for Belarusian
- .
- babel-bulgarian -- Babel contributed support for Bulgarian
- .

## texlive-lang 2021.20220204

=== texmf-dist/source/generic/babel-greek/Makefile ===
# This Makefile updates the source and documentation for the
# babel-greek LateX package
#
# © 2019 Günter Milde
#
# SRCDIR (and the other variables) can be easily modified as parameters
# while calling `make', e.g.
#
#   make install SRCDIR=~/texmf/tex/latex/

# Global variables
# =================

# for installation into a users local texmf tree
DESTDIR = ~/texmf/tex/latex/greek/babel-greek
DOCDIR = ~/texmf/doc/latex/greek/babel-greek

CHDIR = cd
COPY = cp -u
SH = sh

# programs
PYLIT = pylit         # text <-> source converter for literal programming
RST2HTML = rst2html5  # text -> HTML converter, see docutils.sf.net
RUBBER = rubber -f --pdf # wrapper around `latex`, run until references resolved
LATEX = pdflatex -interaction batchmode # suppress logging to terminal

# LaTeX source files
# ==================

.PHONY: all

all: greek.ldf athnum.sty grmath.sty

greek.ldf: babel-greek.dtx
	tex babel-greek.ins

athnum.sty: athnum.dtx
	tex babel-greek.ins

grmath.sty: athnum.dtx
	tex babel-greek.ins

# Documentation
# =============

.PHONY: doc html pdf

doc: html pdf

html: README.html

README.html: README
	$(RST2HTML) README README.html


pdf: babel-greek.pdf athnum.pdf grmath.pdf usage.pdf\
     test-greek-lgr.pdf test-greek-tu.pdf test-8bit-greek.pdf \
     test-tu-lgr.pdf

babel-greek.pdf: babel-greek.dtx
	$(RUBBER) -m hyperref babel-greek.dtx

athnum.pdf: athnum.dtx
	$(RUBBER) athnum.dtx

grmath.pdf: grmath.dtx
	$(RUBBER) grmath.dtx

usage.pdf: usage.tex greek.ldf
	$(RUBBER) usage.tex

test-greek-lgr.pdf: test-greek.tex greek.ldf
	$(RUBBER) --jobname=test-greek-lgr test-greek.tex

test-greek-tu.pdf: test-greek.tex greek.ldf
	$(RUBBER) -m xelatex --jobname=test-greek-tu test-greek.tex

test-8bit-greek.pdf: test-8bit-greek.tex greek.ldf
	$(RUBBER) -m hyperref test-8bit-greek.tex

test-tu-lgr.pdf: test-tu-lgr.tex greek.ldf
	$(RUBBER) -m hyperref -m xelatex test-tu-lgr.tex


# Installation
# =============

install: all
	$(COPY) *.ldf $(DESTDIR)
	#$(COPY) *.sty $(DESTDIR)

install-doc: doc
	$(COPY) README $(DOCDIR)
	$(COPY) *.html $(DOCDIR)
	$(COPY) *.dtx $(DOCDIR)
	$(COPY) *.ins $(DOCDIR)
	$(COPY) *.tex $(DOCDIR)
	$(COPY) *.pdf $(DOCDIR)
	$(COPY) Makefile $(DOCDIR)

# Cleanup
# =======

.PHONY: clean

clean:
	rm -f *.aux *.log *.toc *.out *~

=== texmf-dist/source/latex/mendex-doc/Makefile ===
DOCTARGET = mendex
PDFTARGET = $(addsuffix .pdf,$(DOCTARGET))
DVITARGET = $(addsuffix .dvi,$(DOCTARGET))
KANJI = -kanji=utf8
#FONTMAP = -f ipaex.map -f ptex-ipaex.map
FONTMAP = -f haranoaji.map -f ptex-haranoaji.map -f otf-haranoaji.map
TEXMF = $(shell kpsewhich -var-value=TEXMFHOME)
LTX = platex $(KANJI)
DPX = dvipdfmx $(FONTMAP)
MDX = mendex -U

default: $(DVITARGET)
all: $(PDFTARGET)

.SUFFIXES: .tex .dvi .pdf
.tex.dvi:
	$(LTX) $<
	$(MDX) mendex-sub
	mv mendex-sub.ind mendex-sub-0.ind
	$(MDX) -s jpbase mendex-sub
	mv mendex-sub.ind mendex-sub-1.ind
	$(MDX) -g -s jpbase mendex-sub
	mv mendex-sub.ind mendex-sub-2.ind
	$(MDX) -g -s jpbase -s mendex-sub-3 mendex-sub
	mv mendex-sub.ind mendex-sub-3.ind
	$(MDX) -g -s jpbase -s mendex-sub-4 mendex-sub
	mv mendex-sub.ind mendex-sub-4.ind
	$(MDX) -g -l -s jpbase mendex-sub
	mv mendex-sub.ind mendex-sub-5.ind
	$(LTX) $<
	$(LTX) $<
	rm -f *.aux *.log *.toc *.out *.idx *.ind *.ilg *-sub-*.ist
.dvi.pdf:
	$(DPX) $<

.PHONY: install clean
install:
	mkdir -p ${TEXMF}/doc/support/mendex
	cp ./LICENSE ${TEXMF}/doc/support/mendex/
	cp ./README* ${TEXMF}/doc/support/mendex/
	cp ./Makefile ${TEXMF}/doc/support/mendex/
	cp ./*.tex ${TEXMF}/doc/support/mendex/
	cp ./*.pdf ${TEXMF}/doc/support/mendex/
	mkdir -p ${TEXMF}/makeindex/mendex
	cp ./*.ist ${TEXMF}/makeindex/mendex/
clean:
	rm -f $(DVITARGET) $(PDFTARGET)

=== debian/changelog ===
texlive-lang (2021.20220204-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Hilmar Preusse <hille42@web.de>  Fri, 04 Feb 2022 23:04:42 +0100

=== debian/control ===
--- 
+++ 
@@ -295,6 +295,8 @@
  .
  jsclasses -- Classes tailored for use with Japanese
  .
+ kanbun -- Typeset kanbun-kundoku with support for kanbun annotation
+ .
  lshort-japanese -- Japanese version of A Short Introduction to LaTeX2e
  .
  luatexja -- Typeset Japanese with Lua(La)TeX
@@ -363,7 +365,3 @@
 Breaks: texlive-base (<< 2019.20190506), texlive-base (<< 2021.20210628)
 Description: TeX Live: Cyrillic
  Support for Cyrillic scripts (Bulgarian, Russian, Serbian, Ukrainian), even 
- if Latin alphabets may also be used.
- .
- This package includes the following CTAN packages:
- .

## texlive-lang 2022.20220405

=== debian/changelog ===
texlive-lang (2022.20220405-3) unstable; urgency=low

  * Upload to unstable.
  * texlive-lang-japanese recommends texlive-latex-recommended
    (Closes: #946715)
  * texlive-lang-japanese suggests fonts-noto-cjk-extra
    (Closes: #929156)
  * Some Lintian cleanup.

 -- Hilmar Preusse <hille42@web.de>  Wed, 01 Jun 2022 09:04:09 +0200

texlive-lang (2022.20220405-2) experimental; urgency=medium

  * Kill manual pages, which are also in texlive-binaries.

 -- Hilmar Preusse <hille42@web.de>  Sat, 07 May 2022 23:38:40 +0200

texlive-lang (2022.20220405-1) experimental; urgency=medium

  * New upstream snapshot for TL 2022.

 -- Hilmar Preusse <hille42@web.de>  Wed, 04 May 2022 23:42:42 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
 Package: texlive-lang-arabic
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2021.20210628), texlive-base (>= 2021.20210921), texlive-plain-generic (>= 2021.20210921)
+Depends: ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2022.20220405), texlive-base (>= 2022.20220405), texlive-plain-generic (>= 2022.20220405)
 Replaces: texlive-xetex (<< 2020.20200519)
-Breaks: texlive-base (<< 2021.20210628), texlive-xetex (<< 2020.20200519)
+Breaks: texlive-base (<< 2022.20220405), texlive-xetex (<< 2020.20200519)
 Description: TeX Live: Arabic
  Support for Arabic and Persian.
  .
@@ -83,9 +83,10 @@
 Package: texlive-lang-cjk
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, poppler-data, texlive-base (>= 2021.20210628), texlive-base (>= 2021.20210921), texlive-binaries (>= 2021.20210626), texlive-latex-base (>= 2021.20210921)
+Depends: ${misc:Depends}, poppler-data, texlive-base (>= 2022.20220405), texlive-base (>= 2022.20220405), texlive-binaries (>= 2022.20220321), texlive-latex-base (>= 2022.20220405)
 Recommends: latex-cjk-all (>= 4.6.0+cvs20060714-2), ruby, texlive-lang-chinese, texlive-lang-japanese, texlive-lang-korean
-Breaks: texlive-base (<< 2021.20210628)
+Replaces: texlive-xetex (<< 2021.20220204)
+Breaks: texlive-base (<< 2022.20220405), texlive-xetex (<< 2021.20220204)
 Description: TeX Live: Chinese/Japanese/Korean (base)
  Packages supporting a combination of Chinese, Japanese, Korean, including 
  macros, fonts, documentation. Also Thai in the c90 encoding, since there is 
@@ -114,6 +115,8 @@
  .
  xcjk2uni -- Convert CJK characters to Unicode, in pdfTeX
  .
+ xecjk -- Support for CJK documents in XeLaTeX
+ .
  zitie -- Create CJK character calligraphy practicing sheets
  .
  zxjafont -- Set up Japanese font families for XeLaTeX
@@ -121,10 +124,10 @@
 Package: texlive-lang-korean
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-baekmuk, fonts-unfonts-core, fonts-unfonts-extra, texlive-base (>= 2021.20210628), texlive-binaries (>= 2021.20210626), texlive-lang-cjk (>= 2021.20210921)
+Depends: ${misc:Depends}, fonts-baekmuk, fonts-unfonts-core, fonts-unfonts-extra, texlive-base (>= 2022.20220405), texlive-binaries (>= 2022.20220321), texlive-lang-cjk (>= 2022.20220405)
 Conflicts: ko.tex-bin
 Provides: ko.tex
-Breaks: texlive-base (<< 2021.20210628)
+Breaks: texlive-base (<< 2022.20220405)
 Description: TeX Live: Korean
  Support for Korean; additional packages in collection-langcjk.
  .
@@ -157,8 +160,8 @@
 Package: texlive-lang-chinese
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-arphic-bkai00mp, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-arphic-gkai00mp, texlive-base (>= 2021.20210628), texlive-lang-cjk (>= 2021.20210921)
-Breaks: texlive-base (<< 2021.20210628)
+Depends: ${misc:Depends}, fonts-arphic-bkai00mp, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-arphic-gkai00mp, texlive-base (>= 2022.20220405), texlive-lang-cjk (>= 2022.20220405)
+Breaks: texlive-base (<< 2022.20220405)
 Description: TeX Live: Chinese
  Support for Chinese; additional packages in collection-langcjk.
  .
@@ -232,11 +235,13 @@
 Package: texlive-lang-japanese
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-ipaexfont-gothic, fonts-ipaexfont-mincho, fonts-ipafont-gothic, fonts-ipafont-mincho, ruby, texlive-base (>= 2021.20210628), texlive-binaries (>= 2021.20210626), texlive-lang-cjk (>= 2021.20210921)
+Depends: ${misc:Depends}, fonts-ipaexfont-gothic, fonts-ipaexfont-mincho, fonts-ipafont-gothic, fonts-ipafont-mincho, ruby, texlive-base (>= 2022.20220405), texlive-binaries (>= 2022.20220321), texlive-lang-cjk (>= 2022.20220405)
 Conflicts: ptex-jisfonts
+Recommends: texlive-latex-recommended
 Provides: okumura-clsfiles, ptex-jisfonts, vfdata-morisawa5
+Suggests: fonts-noto-cjk-extra
 Replaces: mendexk
-Breaks: texlive-base (<< 2021.20210628)
+Breaks: texlive-base (<< 2022.20220405)
 Description: TeX Live: Japanese
  Support for Japanese; additional packages are in collection-langcjk.
  .
@@ -286,8 +291,6 @@
  .
  japanese-otf -- Advanced font selection for platex and its friends
  .
- japanese-otf-uptex -- Support for Japanese OTF files in upLaTeX
- .
  jlreq -- Japanese document class based on requirements for Japanese text
  layout
  .
@@ -308,6 +311,8 @@
  .
  pbibtex-base -- Bibliography styles and miscellaneous files for pBibTeX
  .
+ pbibtex-manual -- Documentation files for (u)pBibTeX
+ .
  platex -- pLaTeX2e and miscellaneous macros for pTeX
  .
  platex-tools -- pLaTeX standard tools bundle
@@ -360,8 +365,5 @@
 Package: texlive-lang-cyrillic
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, texlive-base (>= 2021.20210628), texlive-base (>= 2021.20210921), texlive-binaries (>= 2021.20210626), texlive-latex-base (>= 2021.20210921)
+Depends: ${misc:Depends}, texlive-base (>= 2022.20220405), texlive-base (>= 2022.20220405), texlive-binaries (>= 2022.20220321), texlive-latex-base (>= 2022.20220405)
 Replaces: texlive-base (<< 2019.20190506)
-Breaks: texlive-base (<< 2019.20190506), texlive-base (<< 2021.20210628)
-Description: TeX Live: Cyrillic
- Support for Cyrillic scripts (Bulgarian, Russian, Serbian, Ukrainian), even

## texlive-lang 2022.20220605

=== debian/changelog ===
texlive-lang (2022.20220605-1) unstable; urgency=low

  * New upstream snapshot.
  * Remove Depends on fonts-ipa* font packages, turn it into Suggests.
    (Closes: #1013219).

 -- Hilmar Preusse <hille42@web.de>  Mon, 20 Jun 2022 09:26:13 +0200

=== debian/control ===
--- 
+++ 
@@ -235,11 +235,11 @@
 Package: texlive-lang-japanese
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-ipaexfont-gothic, fonts-ipaexfont-mincho, fonts-ipafont-gothic, fonts-ipafont-mincho, ruby, texlive-base (>= 2022.20220405), texlive-binaries (>= 2022.20220321), texlive-lang-cjk (>= 2022.20220405)
+Depends: ${misc:Depends}, ruby, texlive-base (>= 2022.20220405), texlive-binaries (>= 2022.20220321), texlive-lang-cjk (>= 2022.20220405)
 Conflicts: ptex-jisfonts
 Recommends: texlive-latex-recommended
 Provides: okumura-clsfiles, ptex-jisfonts, vfdata-morisawa5
-Suggests: fonts-noto-cjk-extra
+Suggests: fonts-ipaexfont-gothic, fonts-ipaexfont-mincho, fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-noto-cjk-extra
 Replaces: mendexk
 Breaks: texlive-base (<< 2022.20220405)
 Description: TeX Live: Japanese
@@ -283,6 +283,9 @@
  .
  haranoaji-extra -- Harano Aji Fonts
  .
+ ieejtran -- Unofficial bibliography style file for the Institute of
+ Electrical Engineers of Japan
+ .
  ifptex -- Check if the engine is pTeX or one of its derivatives
  .
  ifxptex -- Detect pTeX and its derivatives
@@ -290,6 +293,9 @@
  ipaex -- IPA (Japanese) fonts
  .
  japanese-otf -- Advanced font selection for platex and its friends
+ .
+ jieeetran -- UnofficiaL BibTeX style for citing Japanese articles in IEEE
+ format
  .
  jlreq -- Japanese document class based on requirements for Japanese text
  layout
@@ -365,5 +371,3 @@
 Package: texlive-lang-cyrillic
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, texlive-base (>= 2022.20220405), texlive-base (>= 2022.20220405), texlive-binaries (>= 2022.20220321), texlive-latex-base (>= 2022.20220405)
-Replaces: texlive-base (<< 2019.20190506)

## texlive-lang 2022.20220722

=== debian/changelog ===
texlive-lang (2022.20220722-1) unstable; urgency=medium

  * New upstream snapshot.
  * Remove obsolete maintscripts.

 -- Hilmar Preusse <hille42@web.de>  Mon, 25 Jul 2022 16:02:33 +0200

=== debian/control ===
--- 
+++ 
@@ -249,6 +249,9 @@
  .
  ascmac -- Boxes and picture macros with Japanese vertical writing support
  .
+ asternote -- Annotation symbols enclosed in square brackets and marked with
+ an asterisk
+ .
  babel-japanese -- Babel support for Japanese
  .
  bxbase -- BX bundle base components
@@ -302,6 +305,11 @@
  .
  jlreq-deluxe -- Multi-weight Japanese font support for the jlreq class
  .
+ jpneduenumerate -- Enumerative expressions in Japanese education
+ .
+ jpnedumathsymbols -- Mathematical equation representation in Japanese
+ education
+ .
  jsclasses -- Classes tailored for use with Japanese
  .
  kanbun -- Typeset kanbun-kundoku with support for kanbun annotation
@@ -364,10 +372,3 @@
  .
  uptex-fonts -- Fonts for use with upTeX
  .
- zxjafbfont -- Fallback CJK font support for xeCJK
- .
- zxjatype -- Standard conforming typesetting of Japanese, for XeLaTeX
-
-Package: texlive-lang-cyrillic
-Architecture: all
-Multi-Arch: foreign

## texlive-lang 2022.20220923

=== debian/changelog ===
texlive-lang (2022.20220923-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Hilmar Preusse <hille42@web.de>  Mon, 10 Oct 2022 00:15:34 +0200

=== debian/control ===
--- 
+++ 
@@ -181,6 +181,8 @@
  .
  ctex-faq -- LaTeX FAQ by the Chinese TeX Society (ctex.org)
  .
+ exam-zh -- LaTeX template for Chinese exams
+ .
  fandol -- Four basic fonts for Chinese typesetting
  .
  fduthesis -- LaTeX thesis template for Fudan University
@@ -369,6 +371,3 @@
  uptex -- Unicode version of pTeX
  .
  uptex-base -- Plain TeX formats and documents for upTeX
- .
- uptex-fonts -- Fonts for use with upTeX
- .

## texlive-lang 2022.20221123

=== debian/changelog ===
texlive-lang (2022.20221123-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Hilmar Preusse <hille42@web.de>  Sun, 27 Nov 2022 23:34:53 +0100

=== debian/control ===
--- 
+++ 
@@ -297,6 +297,9 @@
  .
  ipaex -- IPA (Japanese) fonts
  .
+ japanese-mathformulas -- Compiling basic math formulas in Japanese using
+ LuaLaTeX
+ .
  japanese-otf -- Advanced font selection for platex and its friends
  .
  jieeetran -- UnofficiaL BibTeX style for citing Japanese articles in IEEE
@@ -368,6 +371,3 @@
  .
  uplatex -- pLaTeX2e and miscellaneous macros for upTeX
  .
- uptex -- Unicode version of pTeX
- .
- uptex-base -- Plain TeX formats and documents for upTeX

## texlive-lang 2022.20230122

=== texmf-dist/source/latex/greek-fontenc/Makefile ===
# This Makefile updates the source and documentation for the
# greek-fontenc LateX package
#
# © 2019 Günter Milde
# 
# SRCDIR (and the other variables) can be easily modified as parameters
# while calling `make', e.g.
#
#   make install SRCDIR=~/texmf/tex/latex/

# Global variables
# =================

# for installation into a users local texmf tree
DESTDIR = ~/texmf/tex/latex/greek/greek-fontenc
DOCDIR = ~/texmf/doc/latex/greek/greek-fontenc

CHDIR = cd
COPY = cp -u
SH = sh

# programs
PYLIT = pylit         # text <-> source converter for literal programming
RST2HTML = rst2html5 --stylesheet=minimal.css,responsive.css # text -> HTML converter, see docutils.sf.net
RUBBER = rubber -f --pdf -m hyperref # wrapper around `latex`, run until references resolved
LATEX = pdflatex -interaction batchmode

# LaTeX source files
# ==================

.PHONY: all font-encodings packages

all: font-encodings packages

# font encoding definition files
font-encodings: greek-fontenc.def lgrenc.def tuenc-greek.def greek-euenc.def 

tuenc-greek.def: tuenc-greek.def.txt
	$(PYLIT) $@.txt

greek-fontenc.def: greek-fontenc.def.txt
	$(PYLIT) $@.txt

lgrenc.def: lgrenc.def.txt
	$(PYLIT) $@.txt

# LaTeX packages
packages: textalpha.sty alphabeta.sty alphabeta-tuenc.def alphabeta-lgr.def

textalpha.sty: textalpha.sty.txt
	$(PYLIT) $@.txt

alphabeta.sty: alphabeta.sty.txt
	$(PYLIT) $@.txt

alphabeta-tuenc.def: alphabeta-tuenc.def.txt
	$(PYLIT) $@.txt

alphabeta-lgr.def: alphabeta-lgr.def.txt
	$(PYLIT) $@.txt

# Experimental files
lgr2licr.lua: lgr2licr.lua.txt
	$(PYLIT) $@.txt

# Documentation
# =============

.PHONY: doc html pdf

doc: html pdf

html: greek-fontenc.html lgrenc.def.html puenc-greek.def.html \
      tuenc-greek.def.html greek-fontenc.def.html \
      textalpha.sty.html alphabeta.sty.html \
      alphabeta-tuenc.def.html alphabeta-lgr.def.html lgr2licr.lua.html

greek-fontenc.html: README
	$(RST2HTML) README greek-fontenc.html

greek-fontenc.def.html: greek-fontenc.def
	$(PYLIT) greek-fontenc.def
	$(RST2HTML) greek-fontenc.def.txt greek-fontenc.def.html

lgrenc.def.html: lgrenc.def
	$(PYLIT) lgrenc.def
	$(RST2HTML) lgrenc.def.txt lgrenc.def.html

tuenc-greek.def.html: tuenc-greek.def
	$(PYLIT) tuenc-greek.def
	$(RST2HTML) tuenc-greek.def.txt tuenc-greek.def.html

puenc-greek.def.html: puenc-greek.def
	$(PYLIT) puenc-greek.def
	$(RST2HTML) puenc-greek.def.txt puenc-greek.def.html

textalpha.sty.html: textalpha.sty
	$(PYLIT) textalpha.sty
	$(RST2HTML) textalpha.sty.txt textalpha.sty.html

alphabeta.sty.html: alphabeta.sty
	$(PYLIT) alphabeta.sty
	$(RST2HTML) alphabeta.sty.txt alphabeta.sty.html

alphabeta-tuenc.def.html: alphabeta-tuenc.def
	$(PYLIT) alphabeta-tuenc.def
	$(RST2HTML) alphabeta-tuenc.def.txt alphabeta-tuenc.def.html

alphabeta-lgr.def.html: alphabeta-lgr.def
	$(PYLIT) alphabeta-lgr.def
	$(RST2HTML) alphabeta-lgr.def.txt alphabeta-lgr.def.html

lgr2licr.lua.html: lgr2licr.lua
	$(PYLIT) lgr2licr.lua
	$(RST2HTML) lgr2licr.lua.txt lgr2licr.lua.html

# User documentation
# ==================

pdf: alphabeta-doc.pdf alphabeta-tu.pdf diacritics.pdf \
     textalpha-doc.pdf textalpha-tu.pdf hyperref-with-greek.pdf \
     test-inputenc.pdf test-lgrenc.pdf test-tuenc-greek.pdf 

TEXTALPHA = textalpha.sty greek-fontenc.def lgrenc.def tuenc-greek.def puenc-greek.def
ALPHABETA = $(TEXTALPHA) alphabeta.sty

alphabeta-doc.pdf: alphabeta-doc.tex $(ALPHABETA)
	$(RUBBER) alphabeta-doc.tex

alphabeta-tu.pdf: alphabeta-doc.tex $(ALPHABETA)
	$(RUBBER) -m xelatex --jobname=alphabeta-tu alphabeta-doc.tex

textalpha-doc.pdf: textalpha-doc.tex $(TEXTALPHA)
	$(RUBBER) textalpha-doc.tex

textalpha-tu.pdf: textalpha-doc.tex lgrenc.def $(TEXTALPHA)
	$(RUBBER) -m xelatex --jobname=textalpha-tu textalpha-doc.tex

diacritics.pdf: diacritics.tex lgrenc.def greek-fontenc.def
	$(LATEX) diacritics.tex

hyperref-with-greek.pdf: hyperref-with-greek.tex $(ALPHABETA)
	$(RUBBER) hyperref-with-greek.tex

test-lgrenc.pdf: test-lgrenc.tex lgrenc.def greek-fontenc.def
	$(LATEX) test-lgrenc.tex

test-tuenc-greek.pdf: test-tuenc-greek.tex tuenc-greek.def greek-fontenc.def
	$(RUBBER) -m xelatex test-tuenc-greek.tex

test-inputenc.pdf: test-inputenc.tex $(TEXTALPHA)
	$(RUBBER) test-inputenc.tex

test-inputenc-tu.pdf: test-inputenc.tex lgrenc.def $(TEXTALPHA)
	$(RUBBER) -m lualatex --jobname=test-inputenc-tu test-inputenc.tex


# Installation
# ------------

install: all
	$(COPY) *.def $(DESTDIR)
	$(COPY) *.sty $(DESTDIR)

install-doc: doc
	$(COPY) README $(DOCDIR)
	$(COPY) *.def $(DOCDIR)
	$(COPY) *.sty $(DOCDIR)
	$(COPY) *.lua $(DOCDIR)
	$(COPY) *.html $(DOCDIR)
	$(COPY) *.tex $(DOCDIR)
	$(COPY) *.pdf $(DOCDIR)
	$(COPY) Makefile $(DOCDIR)

# Cleanup
# -------
 
.PHONY: clean

clean:
	rm -f *.aux *.log *.toc *.out *~

=== texmf-dist/doc/upmendex/samples/option/Makefile ===
UPMENDEX = upmendex

#
# test for icu_rules
#
rules:
	for sty in rule0; do \
		$(UPMENDEX) -f attri1.idx -s mdxsty_$$sty.ist -o attri1_$$sty.ind ; \
	done

#
# test for Japanese
#
jp_u:
	for sty in 00 01 02; do \
		$(UPMENDEX) japanese.idx -s mdxsty_j$$sty.ist -o japanese_$$sty-umdx.ind ; \
		$(UPMENDEX) japanese.idx -l -s mdxsty_j$$sty.ist -o japanese_l_$$sty-umdx.ind ; \
		$(UPMENDEX) japanese.idx -c -s mdxsty_j$$sty.ist -o japanese_c_$$sty-umdx.ind ; \
		$(UPMENDEX) japanese.idx -l -c -s mdxsty_j$$sty.ist -o japanese_lc_$$sty-umdx.ind ; \
		$(UPMENDEX) japanese.idx -r -s mdxsty_j$$sty.ist -o japanese_r_$$sty-umdx.ind ; \
		$(UPMENDEX) japanese.idx -g -s mdxsty_j$$sty.ist -o japanese_g_$$sty-umdx.ind ; \
	done

clean:
	rm -f *.ind *.ilg

=== debian/changelog ===
texlive-lang (2022.20230122-1) unstable; urgency=medium

  * New upstream snapshot.
  * Blacklist another incarnation of Lenna (Closes: #1028056).

 -- Hilmar Preusse <hille42@web.de>  Tue, 24 Jan 2023 23:31:57 +0100

## texlive-lang 2023.20230613

=== debian/changelog ===
texlive-lang (2023.20230613-2) unstable; urgency=medium

  * Upload to unstable.

 -- Hilmar Preusse <hille42@web.de>  Sun, 27 Aug 2023 23:38:57 +0200

texlive-lang (2023.20230613-1) experimental; urgency=medium

  * New upstream snapshot.
  * CSLaTeX is considered to be obsolete, stop providing symlinks
    /usr/bin/cslatex & /usr/bin/pdfcslatex + man pages.
  * texlive-lang-arabic: Amiri fonts provide Italic fonts instead
    of Slanted. Fix blacklist and symlinks (Closes: #1037508).
  * texlive-lang-japanese now recommends fonts-ipa[ex]font-{gothic,mincho}
    instead of suggests (Closes: #1037510).

  [ Jelmer Vernooĳ ]
  * Include package in Vcs-Git/Vcs-Browser header.

 -- Hilmar Preusse <hille42@web.de>  Wed, 19 Jul 2023 12:20:30 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends-Indep: sharutils, tex-common (>= 6.14), findutils (>=4.2.0)
 Standards-Version: 4.5.1
 Homepage: http://www.tug.org/texlive/
-Vcs-Git: https://github.com/debian-tex/texlive-nonbin.git
-Vcs-Browser: https://github.com/debian-tex/texlive-nonbin
+Vcs-Git: https://github.com/debian-tex/texlive-nonbin.git [texlive-lang]
+Vcs-Browser: https://github.com/debian-tex/texlive-nonbin/tree/master/texlive-lang
 
 Package: texlive-lang-arabic
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2022.20220405), texlive-base (>= 2022.20220405), texlive-plain-generic (>= 2022.20220405)
+Depends: ${misc:Depends}, fonts-hosny-amiri, texlive-base (>= 2022.20220405), texlive-base (>= 2023.20230613), texlive-plain-generic (>= 2023.20230613)
 Replaces: texlive-xetex (<< 2020.20200519)
 Breaks: texlive-base (<< 2022.20220405), texlive-xetex (<< 2020.20200519)
 Description: TeX Live: Arabic
@@ -83,7 +83,7 @@
 Package: texlive-lang-cjk
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, poppler-data, texlive-base (>= 2022.20220405), texlive-base (>= 2022.20220405), texlive-binaries (>= 2022.20220321), texlive-latex-base (>= 2022.20220405)
+Depends: ${misc:Depends}, poppler-data, texlive-base (>= 2022.20220405), texlive-base (>= 2023.20230613), texlive-binaries (>= 2023.20230311), texlive-latex-base (>= 2023.20230613)
 Recommends: latex-cjk-all (>= 4.6.0+cvs20060714-2), ruby, texlive-lang-chinese, texlive-lang-japanese, texlive-lang-korean
 Replaces: texlive-xetex (<< 2021.20220204)
 Breaks: texlive-base (<< 2022.20220405), texlive-xetex (<< 2021.20220204)
@@ -102,6 +102,8 @@
  .
  cjkpunct -- Adjust locations and kerning of CJK punctuation marks
  .
+ evangelion-jfm -- A Japanese font metric supporting many advanced features
+ .
  fixjfm -- Fix JFM (for *pTeX)
  .
  garuda-c90 -- TeX support (from CJK) for the garuda font
@@ -124,7 +126,7 @@
 Package: texlive-lang-korean
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-baekmuk, fonts-unfonts-core, fonts-unfonts-extra, texlive-base (>= 2022.20220405), texlive-binaries (>= 2022.20220321), texlive-lang-cjk (>= 2022.20220405)
+Depends: ${misc:Depends}, fonts-baekmuk, fonts-unfonts-core, fonts-unfonts-extra, texlive-base (>= 2022.20220405), texlive-binaries (>= 2023.20230311), texlive-lang-cjk (>= 2023.20230613)
 Conflicts: ko.tex-bin
 Provides: ko.tex
 Breaks: texlive-base (<< 2022.20220405)
@@ -160,7 +162,7 @@
 Package: texlive-lang-chinese
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, fonts-arphic-bkai00mp, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-arphic-gkai00mp, texlive-base (>= 2022.20220405), texlive-lang-cjk (>= 2022.20220405)
+Depends: ${misc:Depends}, fonts-arphic-bkai00mp, fonts-arphic-bsmi00lp, fonts-arphic-gbsn00lp, fonts-arphic-gkai00mp, texlive-base (>= 2022.20220405), texlive-lang-cjk (>= 2023.20230613)
 Breaks: texlive-base (<< 2022.20220405)
 Description: TeX Live: Chinese
  Support for Chinese; additional packages in collection-langcjk.
@@ -237,13 +239,13 @@
 Package: texlive-lang-japanese
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ruby, texlive-base (>= 2022.20220405), texlive-binaries (>= 2022.20220321), texlive-lang-cjk (>= 2022.20220405)
+Depends: ${misc:Depends}, ruby, texlive-base (>= 2022.20220405), texlive-binaries (>= 2023.20230311), texlive-lang-cjk (>= 2023.20230613)
 Conflicts: ptex-jisfonts
-Recommends: texlive-latex-recommended
+Recommends: fonts-ipaexfont-gothic, fonts-ipaexfont-mincho, fonts-ipafont-gothic, fonts-ipafont-mincho, texlive-latex-recommended
 Provides: okumura-clsfiles, ptex-jisfonts, vfdata-morisawa5
-Suggests: fonts-ipaexfont-gothic, fonts-ipaexfont-mincho, fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-noto-cjk-extra
+Suggests: fonts-noto-cjk-extra
 Replaces: mendexk
-Breaks: texlive-base (<< 2022.20220405)
+Breaks: texlive-base (<< 2022.20220405), texlive-extra-utils (<< 2023.20230613)
 Description: TeX Live: Japanese
  Support for Japanese; additional packages are in collection-langcjk.
  .
@@ -365,9 +367,3 @@
  .
  pxrubrica -- Ruby annotations according to JIS X 4051
  .
- pxufont -- Emulate non-Unicode Japanese fonts using Unicode fonts
- .
- texlive-ja -- TeX Live manual (Japanese)
- .
- uplatex -- pLaTeX2e and miscellaneous macros for upTeX
- .

## texlive-lang 2023.20231007

=== debian/changelog ===
texlive-lang (2023.20231007-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Hilmar Preusse <hille42@web.de>  Sun, 08 Oct 2023 20:00:57 +0000

=== debian/control ===
--- 
+++ 
@@ -54,6 +54,8 @@
  .
  imsproc -- Typeset IMS conference proceedings
  .
+ khatalmaqala -- Arabic font for university articles
+ .
  kurdishlipsum -- A 'lipsum' package for the Kurdish language
  .
  lshort-persian -- Persian (Farsi) introduction to LaTeX
@@ -61,6 +63,11 @@
  luabidi -- Bidi functions for LuaTeX
  .
  na-box -- Arabic-aware version of pas-cours package
+ .
+ parsimatn -- Contemporary Persian font for scientific and formal writings
+ .
+ parsinevis -- "Scheherazade New" adapted for Persian typesetting and
+ scientific writings
  .
  persian-bib -- Persian translations of classic BibTeX styles
  .
@@ -359,11 +366,3 @@
  .
  pxchfon -- Japanese font setup for pLaTeX and upLaTeX
  .
- pxcjkcat -- LaTeX interface for the CJK category codes of upTeX
- .
- pxjahyper -- Hyperref support for pLaTeX
- .
- pxjodel -- Help change metrics of fonts from japanese-otf
- .
- pxrubrica -- Ruby annotations according to JIS X 4051
- .

## texlive-lang 2023.20231207

=== debian/changelog ===
texlive-lang (2023.20231207-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Hilmar Preusse <hille42@web.de>  Sat, 09 Dec 2023 23:42:16 +0000
